commit:     b8573480c67bb3f27bdee7d4a058f95889fd8b98
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May  1 03:54:02 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May  1 04:30:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b8573480

dev-python/sqlalchemy: Bump to 2.0.12

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sqlalchemy/Manifest                 |   1 +
 dev-python/sqlalchemy/sqlalchemy-2.0.12.ebuild | 115 +++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/dev-python/sqlalchemy/Manifest b/dev-python/sqlalchemy/Manifest
index ded209fa50ce..f558f174a775 100644
--- a/dev-python/sqlalchemy/Manifest
+++ b/dev-python/sqlalchemy/Manifest
@@ -2,6 +2,7 @@ DIST SQLAlchemy-1.4.47.tar.gz 8559530 BLAKE2B 
051e6f0114162f5525e756d87622814640
 DIST SQLAlchemy-1.4.48.tar.gz 8448993 BLAKE2B 
02c5457e099a0f0bb0e5427a95d3ea35d504d0b5f1d10003b59c8dc76f92ea7b4720512d934fae64b12d95c5de5230139f3af9f5bd6e372fc07228b432995bd9
 SHA512 
f948e79c92889f2462b117ca49ccb8e82d5f8da0027c65488a3f6c64a802dc0bca96cc84c4e77bb3b8d434dfd66b621ef4d69c5d417ad781d1dc7136bcf6dea1
 DIST SQLAlchemy-2.0.10.tar.gz 9364115 BLAKE2B 
0a058eb179e08fa04083eb75aeffff7a50b6e379ea9b5b31d568a88c8ceaa208c0df613d5b3054d477af25e65566b8d413a3be694744e96609f74ab5ac102365
 SHA512 
f672eec34851e85f1ba41778104a379a37f833804e549ed12cd5b2d5e3cdfb5578e05aa61a61264aee1985d03af19c81b950977ae2b458161dfc8320db371b69
 DIST SQLAlchemy-2.0.11.tar.gz 9260972 BLAKE2B 
a23f65e9014884d8edaa9285a9749bc02ba412e33fc648da2eff611829931a951107f941a77b00352226be5b3e62f4e6b99434a5657793ca462d1094b6a34788
 SHA512 
8ca9b3dd1a825b8adb788e0110fe65cf14808de8554fb9b733e27e83f77da148a36f4ebb845a81d9260d464827b5deece657d58cd34bc08262808d7964b2b11e
+DIST SQLAlchemy-2.0.12.tar.gz 9264506 BLAKE2B 
83a3aa719e2809b5b48ef5332cf6cbc0e973089dad142dbbe952d14b2e4f3e5a1cf67c7a7240017fbddfafe1c57d6acb974d9c61e72970d8a8c49b7a57f52a91
 SHA512 
0e4bbc7d4729b2667ca1e8a0c88293e44698346415e3742ad3c686495c9855b5714dab161590605d5ee60523a2544f590f67ac7d01f7f2756ddc7156688db902
 DIST SQLAlchemy-2.0.4.tar.gz 9250723 BLAKE2B 
c3cec648a527e7beb349b2bbb6924a4e794a1fe4d1563ba7573afdc28ed24fce149c5b3c08fa419e85713b68080b2a805e1999e312f59ed7fae55f9aee6a966e
 SHA512 
098004c594ff00a47a66850b0661f673e4d7a6f168fce72ca37a65ecfe04b3d291b9a6fb9393f7671c9a7c5c128ab6ba2035d18cef28736df1207e689cd8c412
 DIST SQLAlchemy-2.0.7.tar.gz 9298301 BLAKE2B 
abedb2805cad489e68fdec383eaf1bc65ef92777230317911a9351fce7c9159f746629197f7443a37495c23cd8d3cdd1015d8417f00227f28b8af1468a8327ef
 SHA512 
94f5c4262741986456a9de435a81d9df8d5eed16417cc8c07321cb28030c99ea347c33a2054f2961e3b794bd5f75da19b0879675e2c1106fc5030382895caf75
 DIST SQLAlchemy-2.0.8.tar.gz 9314926 BLAKE2B 
bc54ba9be9f68cc2995bf5328cc5268e0890262efb162a94bd36713f3f3d2f1ddffa95b4d1d8ab140f865c2788d1a913f6c104f21809a695faa132686d77cf3c
 SHA512 
66408768ff702b16ad1365931b254d72976313a3369a74e5a81326d83540ee274805b01d449010ea8e8750312e26dc91aad3b724c4cbdf037e7314b204f6908a

diff --git a/dev-python/sqlalchemy/sqlalchemy-2.0.12.ebuild 
b/dev-python/sqlalchemy/sqlalchemy-2.0.12.ebuild
new file mode 100644
index 000000000000..62b1090d2ec0
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-2.0.12.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{9..11} )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 optfeature pypi
+
+MY_PN="SQLAlchemy"
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="
+       https://www.sqlalchemy.org/
+       https://pypi.org/project/SQLAlchemy/
+       https://github.com/sqlalchemy/sqlalchemy/
+"
+SRC_URI="$(pypi_sdist_url --no-normalize "${MY_PN}")"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x64-solaris"
+IUSE="examples +sqlite test"
+
+RDEPEND="
+       >=dev-python/typing-extensions-4.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]
+       test? (
+               $(python_gen_impl_dep sqlite)
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e '/greenlet/d' setup.cfg || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_IGNORE=(
+               test/ext/mypy/test_mypy_plugin_py3k.py
+               # hardcode call counts specific to Python versions
+               test/aaa_profiling
+       )
+       local EPYTEST_DESELECT=(
+               # warning tests are unreliable
+               test/base/test_warnings.py
+               # TODO
+               
test/orm/test_versioning.py::ServerVersioningTest_sqlite+pysqlite_3_40_1::test_sql_expr_w_mods_bump
+               
test/sql/test_resultset.py::CursorResultTest_sqlite+pysqlite_3_41_0::test_pickle_rows_other_process
+       )
+       local sqlite_version=$(sqlite3 --version | cut -d' ' -f1)
+       [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+               
test/ext/test_associationproxy.py::ProxyHybridTest::test_msg_fails_on_cls_access
+               
test/ext/test_associationproxy.py::DictOfTupleUpdateTest::test_update_multi_elem_varg
+               
test/ext/test_associationproxy.py::DictOfTupleUpdateTest::test_update_one_elem_varg
+               
test/engine/test_pool.py::QueuePoolTest::test_recycle_pool_no_race
+               
test/engine/test_processors.py::PyDateProcessorTest::test_date_invalid_string
+               
test/engine/test_processors.py::PyDateProcessorTest::test_datetime_invalid_string
+               
test/engine/test_processors.py::PyDateProcessorTest::test_time_invalid_string
+               
"test/dialect/test_sqlite.py::TestTypes_sqlite+pysqlite_${sqlite_version//./_}::test_cant_parse_datetime_message"
+               
"test/dialect/test_suite.py::ReturningGuardsTest_sqlite+pysqlite_${sqlite_version//./_}"::test_{delete,insert,update}_single
+               test/base/test_utils.py::ImmutableDictTest::test_pep584
+       )
+       if ! has_version "dev-python/greenlet[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       
test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_execution
+                       
test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_run_sync
+                       
"test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[False-True]"
+                       
"test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[True-True]"
+                       
"test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[has_terminate-is_asyncio]"
+                       
"test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[not_has_terminate-is_asyncio]"
+                       
"test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True-_exclusions0]"
+                       
"test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True]"
+               )
+       fi
+
+       # upstream's test suite is horribly hacky; it relies on disabling
+       # the warnings plugin and turning warnings into errors;  this also
+       # means that any DeprecationWarnings from third-party plugins cause
+       # everything to explode
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x PYTEST_PLUGINS=
+       # upstream automagically depends on xdist when it is importable
+       # note that we can't use xdist because it causes nodes to randomly
+       # crash on init
+       if has_version "dev-python/pytest-xdist[${PYTHON_USEDEP}]"; then
+               PYTEST_PLUGINS+=xdist.plugin
+       fi
+       epytest
+}
+
+python_install_all() {
+       if use examples; then
+               docompress -x "/usr/share/doc/${PF}/examples"
+               dodoc -r examples
+       fi
+
+       distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+       optfeature "asyncio support" dev-python/greenlet
+       optfeature "MySQL support" \
+               dev-python/mysqlclient \
+               dev-python/pymysql \
+               dev-python/mysql-connector-python
+       optfeature "postgresql support" dev-python/psycopg:2
+}

Reply via email to